summaryrefslogtreecommitdiff
blob: 7e8d5cf46813c42127d66f193578807e5858f1b2 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

####################################################################
#
# When you add an entry to the top of this file, add your name, the date
# in the UTC timezone with a format of YYYY-MM-DD, and an explanation of why
# something is getting masked.
# Please be extremely careful not to commit atoms that are not valid, as it can
# cause large-scale breakage, especially if it ends up in the daily snapshot.
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masking  these versions until we can get the
## # v4l stuff to work properly again
## =media-video/mplayer-0.90_pre5
## =media-video/mplayer-0.90_pre5-r1
#
# - Best last rites (removal) practices -
# Include the following info:
# a) reason for masking
# b) bug # for the removal (and yes you should have one)
# c) date of removal (either the date or "in x days")
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masked for removal in 30 days.  Doesn't work
## # with new libfoo. Upstream dead, gtk-1, smells
## # funny. (bug #987654)
## app-misc/some-package

#--- END OF EXAMPLES ---

# Mike Gilbert <floppym@gentoo.org> (2021-11-27)
# eudev will be removed on 2022-01-01.
# Please see the news item published on 2021-08-24 for more information.
sys-fs/eudev

# Alfredo Tupone <tupone@gentoo.org> (2021-11-26)
# EAPI 6. Removal in 30 days. Bug @827158
=dev-lang/gnat-gpl-2019-r2

# Marek Szuba <marecki@gentoo.org> (2021-11-25)
# Upstream discontinued Linux support over 10 years ago so we are now
# one major version and countless known bugs behind. No source archives
# published for current versions. Unmaintained in Gentoo for years,
# EAPI 5. Removal in 30 days. Bug #827522
sci-biology/ApE

# Hans de Graaff <graaff@gentoo.org> (2021-11-26)
# Mask new rubygems version for testing. This version uses a new
# gentoo-defaults profile, bug #789957
>=dev-ruby/rubygems-3.2.31

# Hans de Graaff <graaff@gentoo.org> (2021-11-26)
# Old slot, obsolete since 2016. No reverse dependencies. Use the
# newer slot instead.
# Masked for removal in 30 days.
dev-ruby/typhoeus:0

# Marek Szuba <marecki@gentoo.org> (2021-11-25)
# Ancient, very few distributions still package it. Both upstream
# and the Debian package we use in SRC_URI are now gone. EAPI 5,
# unmaintained in Gentoo. Consider using net-misc/frr, which supports
# both RIP and many other routing protocols, instead.
# Removal in 30 days. Bug #827322
net-misc/netkit-routed

# Marek Szuba <marecki@gentoo.org> (2021-11-25)
# Upstream is gone. Unmaintained in Gentoo, last updated
# back in the CVS era, EAPI 5, open bugs.
# Removal in 30 days. Bug #826790
net-analyzer/nagios-check_pidfile

# Marek Szuba <marecki@gentoo.org> (2021-11-25)
# Upstream is gone. Unmaintained in Gentoo, last updated
# back in the CVS era, EAPI 5, open bugs.
# Removal in 30 days. Bug #826786
net-analyzer/nagios-check_fail2ban

# Hans de Graaff <graaff@gentoo.org> (2021-11-25)
# Old slot that no longer has reverse dependencies. Last release in
# 2013. Use minitest 5.x instead.
# Masked for removal in 30 days.
dev-ruby/minitest:0

# Hans de Graaff <graaff@gentoo.org> (2021-11-25)
# Last upstream release in 2012 and upstream itself is no longer
# available. Unlikely to still work correctly. No reverse dependencies.
# Masked for removal in 30 days.
dev-ruby/aws-s3

# Marek Szuba <marecki@gentoo.org> (2021-11-23)
# No new releases since July 2013, no commits to upstream Git repository
# since May 2019, long list of known issues (including Bug #681520),
# unmaintained in Gentoo, EAPI 5. Consider using dev-util/uglifyjs instead.
# Removal in 30 days. Bug #826470
dev-util/yuicompressor

# Lars Wendler <polynomial-c@gentoo.org> (2021-11-24)
# No real development since Q1 2020. Last release from 2016.
# Users should switch over to media-sound/strawberry which is an actively
# developed fork.
# Masked for removal in 30 days.
media-sound/clementine

# Hans de Graaff <graaff@gentoo.org> (2021-11-23)
# Obsolete slot, last release in 2017, uses EAPI 5.
# Use one of the newer slots.
# Masked for removal in 30 days.
dev-ruby/ttfunk:1.5

# Marek Szuba <marecki@gentoo.org> (2021-11-23)
# Last release in 2009, dead upstream. Rendered obsolete by native PDF
# importers provided by LibreOffice/OpenOffice, which actually read PDFs
# instead of converting them to images. Unmaintained in Gentoo, EAPI 5.
# Removal in 30 days. Bug #826382
app-text/pdf2oo

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-23)
# Does not support updated dev-java/pdfbox-2.0.24, Bug #803488
# Blocks (CVE-2018-11797, CVE-2021-{27807,27906,31811,31812})
dev-tex/pdfannotextractor

# Marek Szuba <marecki@gentoo.org> (2021-11-23)
# No releases or repo activity upstream since 2013, both versions currently
# in the tree fail to build (for different reasons), unmaintained in Gentoo,
# stable ebuild uses EAPI 5.
# Removal in 30 days. Bug #756925
app-text/dbacl

# Sergey Popov <pinkbyte@gentoo.org> (2021-11-22)
# Upstream is pretty much dead
# Has at least one security issue - bug #825358
# Replaced by net-misc/frr
# Removal in 30 days
net-misc/quagga

# Marek Szuba <marecki@gentoo.org> (2021-11-22)
# Upstream switched from static documentation to the Wiki format
# around 10 years ago, and the ebuild we've got in the tree was
# massively outdated even then (our version: 812, last static
# upstream version: 2001). No maintainer in Gentoo, EAPI 5.
# Removal in 30 days. Bug #826454
app-doc/selfhtml

# Marek Szuba <marecki@gentoo.org> (2021-11-22)
# Last release in 2008 at the latest, no maintainer in Gentoo for years,
# EAPI 5, upstream is gone, the only distros which still package it are
# Gentoo, Funtoo and LiGurOS.
# Removal in 30 days. Bug #826682
app-admin/psmon

# Andreas Sturmlechner <asturm@gentoo.org> (2021-11-22)
# Unmaintained upstream, never made it to a KF5-based release and Gentoo
# was the only distro ever packaging such a snapshot. Use kimpanel from
# kde-plasma/plasma-desktop instead.
# Removal on 2021-12-22. Bug #824822
kde-misc/kimtoy

# Stephan Hartmann <sultan@gentoo.org> (2021-11-22)
# Dev channel releases are only for people who
# are developers or want more experimental features
# and accept a more unstable release.
>=www-client/chromium-98

# Michael Orlitzky <mjo@gentoo.org> (2021-11-22)
# Cool package, but no longer developed upstream, and my immediate use
# for it has expired. No reverse dependencies, deprecated EAPI;
# removal in 30 days.  Bug #826386.
app-text/XML-Schema-learner

# Hans de Graaff <graaff@gentoo.org> (2021-11-20)
# Obsolete package. Last upstream release in 2014, upstream itself is
# gone. No reverse dependencies in Gentoo.
# Masked for removal in 30 days.
dev-ruby/rack-ssl

# Arthur Zamarin <arthurzam@gentoo.org> (2021-11-19)
# Doesn't work with latest versions of adb, source not easily ported
# to python 3.9 and 3.10. No upstream activity for 7 years.
# Removal on 2021-12-19.  Bug #825038.
app-mobilephone/adb-sync

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-18)
# Library without consumers, Removal in 30 days.
dev-java/piccolo2d

# Mike Pagano <mpagano@gentoo.org> (2021-11-18)
# Bug introduced in this version that can
# cause system freeze with data loss.
# Bug #824558.
=sys-kernel/gentoo-sources-5.14.19
=sys-kernel/vanilla-sources-5.14.19
~sys-kernel/gentoo-kernel-5.14.19
~sys-kernel/gentoo-kernel-bin-5.14.19
~sys-kernel/vanilla-kernel-5.14.19
~virtual/dist-kernel-5.14.19

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-16)
# Outdated java package, uses EAPI 5, no revdeps,
# no other distro is packaging this.
# Removal on 2021-12-16. Bug #819420.
media-video/google2srt

# Uses EAPI 5, multiple bugs reported, fails to compile,
# no revdeps, upstream doesn't do regular releases,
# no other distro is packaging this
# Removal on 2021-12-16. Bug #770610. Bug #813873. Bug #810682.
net-libs/onion

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-15)
# Library without consumers,
# bug #771693 (multiple CVEs); Removal in 30 days.
dev-java/jackson

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-14)
# java packages without consumers, Removal in 30 days.
dev-java/milton-mail-api
dev-java/milton-api

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-13)
# java package without consumers,
# bug_808948 (CVE-2021-37714).  Removal in 30 days.
dev-java/jsoup

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-13)
# Broken, no maintainer, outdated, multiple bugs reported, EAPI 5,
# only revdep sys-fs/tmsu fails to build with go 1.16.
# Removal on 2021-12-13. Bug #819612. Bug #771054.
dev-libs/go-fuse
sys-fs/tmsu

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-13)
# Outdated, multiple bugs reported, uses EAPI 5, no revdeps.
# Please use sci-geosciences/josm-bin instead.
# Removal on 2021-12-13. Bug #819129.
sci-geosciences/josm

# Hans de Graaff <graaff@gentoo.org> (2021-11-13)
# No longer maintained upstream. Stuck on an old version 4.x of d3
# while d3 upstream is now on 7.x. Probably best to use directly via
# npm or yarn.
# Masked for removal on 2021-12-13.
dev-ruby/d3_rails

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-13)
# java package without consumers, bug #787338. Removal in 30 days.
dev-db/db-je

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-13)
# depends on deprecated jdk / jre, bug #787449
# stuck with EAPI 5, latest release in 2005
# Removal in 30 days.
net-analyzer/neti

# John Helmert III <ajak@gentoo.org> (2021-11-13)
# Unmaintained in Gentoo, open security bug, many unfixed otther
# bugs. Removal on 2021-12-13, bug #764719.
mail-client/cone

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-12)
# Libraries with no other consumers. Removal in 30 days.
dev-java/trident
dev-java/okio
dev-java/moshi

# John Helmert III <ajak@gentoo.org> (2021-11-12)
# Unfixed code execution bug, unmaintained in Gentoo.
# Removal on 2021-12-11, bugs #672352, #794511.
www-apps/websvn

# Michał Górny <mgorny@gentoo.org> (2021-11-11)
# Last release was for XFCE 4.10, back in 2013.  Does not support modern
# Vala versions.  No revdeps.
# Removal on 2021-12-11.  Bug #823128.
xfce-extra/xfce4-vala

# John Helmert III <ajak@gentoo.org> (2021-11-11)
# Unmaintained and vulnerable.
# Removal on 2021-12-11. Bugs #735978, #794907
app-emulation/firecracker

# Mart Raudsepp <leio@gentoo.org> (2021-11-11)
# Needs testing to ensure valac-0.54 works for existing packages
>=dev-libs/vala-common-0.53
dev-lang/vala:0.54

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-10)
# Uses EAPI 5, dead upstream, no other distro is
# packaging this.
# Removal on 2021-12-10. Bug #819333.
net-im/kouchat

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-10)
# Uses EAPI 5, outdated and current version has
# security vulnerabilities.
# Removal on 2021-12-10. Bug #819327. Bug #739594.
net-irc/cgiirc

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-10)
# Uses EAPI 5, no maintainer, only revdep sobby is
# also broken and unmaintained.
# Removal on 2021-12-10. Bug #819318.
net-libs/obby
net-misc/sobby

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-09)
# Uses EAPI 5, no maintainer in Gentoo, no other
# distro is packaging this.
# Removal on 2021-12-09. Bug #819312. Bug #819321.
net-libs/balde
net-libs/balde-markdown

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-09)
# Uses EAPI 5, upstream gone, no revdeps,
# no other distro is packaging this.
# Removal on 2021-12-09. Bug #819303.
net-misc/ssh-chain

# Michał Górny <mgorny@gentoo.org> (2021-11-08)
# Blocked on LLVM 11.  Upstream does not handle adding support for new
# LLVM or Python versions timely.  No reverse dependencies.
# Removal on 2021-12-08.  Bug #822435.
dev-python/llvmlite

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-07)
# No maintainer, not compatible with llvm-11 or higher.
# Removal on 2021-12-07. Bug #812566.
dev-libs/vc-intrinsics

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-07)
# Fails to build with glibc-2.34, dead upstream.
# Only revdep (media-video/clive) is outdated
# and uses EAPI 5.
# Removal on 2021-12-07. Bug #807172.
media-libs/quvi
media-video/clive

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-07)
# Unresolved security vulnerability, still uses EAPI 5.
# Removal on 2021-12-07. Bug #811168.
app-misc/rundeck-bin

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-07)
# Dead upstream, uses EAPI 5, no revdeps.
# Replaced by dev-db/mytop.
# Removal on 2021-12-07. Bug #819675.
dev-db/mtop

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-06)
# Libraries with no other consumers. Removal in 30 days.
dev-java/mina-core
dev-java/jnr-unixsocket
dev-java/jnr-enxio

# Jakov Smolić <jsmolic@gentoo.org> (2021-11-06)
# Dead upstream, multiple open bugs, no maintainer,
# uses EAPI 5, no revdeps.
# Removal on 2021-12-06. Bug #819750.
app-pda/gnupod

# Andreas K. Huettel <dilfridge@gentoo.org> (2021-11-04)
# Unused and outdated packages; the version in core Perl is
# newer. Removal in 30 days.
perl-core/Module-Metadata
perl-core/parent
perl-core/podlators
perl-core/Pod-Simple
perl-core/Sys-Syslog
perl-core/Term-ANSIColor

# Sam James <sam@gentoo.org> (2021-11-03)
# Known issues with YAMA (kernel.yama.ptrace_scope=1) which is on by default
# in at least the sys-kernel/gento-kernel kernel config.
# Work is in progress to fix these but latest sandbox versions still seem
# to cause hangs in some situations. Mask for now to avoid duplicate reports.
# bug #821532, bug #821523 (and bug #821403 but shouldn't be in 3.1+).
>=sys-apps/sandbox-3.0

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-01)
# Unused library and virtual, removal on 2021-12-01
dev-java/jamon
java-virtuals/interceptor-api

# Jakov Smolić <jsmolic@gentoo.org> (2021-10-31)
# Multiple open bugs, unbuildable due to sandbox issues,
# uses EAPI 5, no revdeps, no other distro packages this.
# Removal on 2021-11-30. Bug #819252.
sys-apps/frandom

# Hans de Graaff <graaff@gentoo.org> (2021-10-30)
# Obsolete slot. Use a newer slot of the same package.
# Masked for removal in 30 days.
dev-ruby/rmagick:0
dev-ruby/rbnacl:4

# Jakov Smolić <jsmolic@gentoo.org> (2021-10-30)
# 9999-only ebuild, hasn't been updated in years,
# uses EAPI 5, no revdeps.
# Removal on 2021-11-29. Bug #819258.
net-wireless/btcrack

# Jakov Smolić <jsmolic@gentoo.org> (2021-10-30)
# EAPI 5, no revdeps, replaced by sci-libs/eccodes
# Removal on 2021-11-29. Bug #819111.
sci-libs/libbufr

# Jakov Smolić <jsmolic@gentoo.org> (2021-10-26)
# Fails to build with glibc-2.34, uses EAPI 5.
# Removal on 2021-11-25. Bug #806577.
sys-fabric/dapl

# Sam James <sam@gentoo.org> (2021-10-25)
# Fails to build with glibc-2.34 and binutils-2.34+. Not many other
# distros packaging this and no upstream commits since 2011. No reverse
# dependencies.
# bug #707848, bug #806476. Removal on 2021-11-25.
dev-util/mutrace

# Sam James <sam@gentoo.org> (2021-10-25)
# Fails to build with glibc-2.33 and no activity upstream; seems like
# a new fork should be packaged.
# bug #775962. Removal on 2021-11-25.
sys-apps/mtree

# Sam James <sam@gentoo.org> (2021-10-25)
# Fails to build with glibc-2.30(!) and was abandoned upstream
# a few years ago. No reverse dependencies in tree.
# bug #728556. Removal on 2021-11-25.
dev-perl/MongoDB

# Sam James <sam@gentoo.org> (2021-10-10)
# Needs upstream build system fixes (currently in progress).
# Python toggles don't work correctly right now.
# Masking this development release for now.
=media-libs/gexiv2-0.13.0

# Ionen Wolkens <ionen@gentoo.org> (2021-10-09)
# Vulkan beta driver branch aimed at Vulkan developers for testing
# new features. Beside vulkan, it is typically behind the main branch
# and may be buggier or less secure. Only unmask if really wanted.
x11-drivers/nvidia-drivers:0/vulkan

# Fabian Groffen <grobian@gentoo.org> (2021-10-03)
# Masked for erratic behaviour
# https://bugs.exim.org/show_bug.cgi?id=2813
=mail-mta/exim-4.95

# John Helmert III <ajak@gentoo.org> (2021-09-29)
# VM image data corruption bug, causing I/O errors in VMs. Bug #815379
=app-emulation/qemu-6.1.0-r1

# Brian Evans <grknight@gentoo.org> (2021-09-26)
# Mask for 8.1 RC
dev-lang/php:8.1
virtual/httpd-php:8.1

# Mart Raudsepp <leio@gentoo.org> (2021-09-24)
# Experimental split media-sound/pulseaudio packages, bug #536780.
media-libs/libpulse
media-sound/pulseaudio-daemon
>=media-sound/pulseaudio-15.0-r100

# Michał Górny <mgorny@gentoo.org> (2021-08-28)
# EOL kernel with known vulnerabilities.  Please move to 5.14 or one
# of the LTS branches.  Bug #814464.
=sys-kernel/gentoo-kernel-5.13*
=sys-kernel/gentoo-kernel-bin-5.13*
=sys-kernel/vanilla-kernel-5.13*
=virtual/dist-kernel-5.13*

# Mart Raudsepp <leio@gentoo.org> (2021-09-23)
# Incompatible with c++17 abseil-cpp, no in-tree consumers yet
media-libs/webrtc-audio-processing:1

# Andreas K. Hüttel <dilfridge@gentoo.org> (2021-09-18)
# sys-devel/automake version 1.11 is EOL and is only useful for testing
# old de-ANSI-fication/ansi2knr/AM_C_PROTOTYPES code. Please uninstall.
sys-devel/automake:1.11

# Alice Ferrazzi <alicef@gentoo.org> (2021-09-16)
# Regression in POSIX CPU timers.
# Please upgrade your gentoo-sources.
# Adding affected vanilla-sources
# https://www.spinics.net/lists/stable/msg499206.html
=sys-kernel/gentoo-sources-5.14.4
=sys-kernel/gentoo-sources-5.13.17
=sys-kernel/gentoo-sources-5.10.65
=sys-kernel/gentoo-sources-5.4.146
=sys-kernel/vanilla-sources-5.14.4
=sys-kernel/vanilla-sources-5.13.17
=sys-kernel/vanilla-sources-5.10.65
=sys-kernel/vanilla-sources-5.4.146

# Mart Raudsepp <leio@gentoo.org> (2021-09-15)
# New major parallel-installable release which needs special care to not
# end up loaded into the same process together with the earlier libsoup ABI.
# Migration to it is expected for GNOME 42, NOT to be unmasked with GNOME 41.
net-libs/libsoup:3.0

# Thomas Deutschmann <whissi@gentoo.org> (2021-09-07)
# Masked while being tested and reverse deps aren't fully compatible
# bug #797325.
=dev-libs/openssl-3.0*

# Craig Andrews <candrews@gentoo.org> (2021-09-20)
# Requires OpenSSL >= 3.0.0
# Masked until dev-libs/openssl-3.0* is unmasked
=dev-libs/gost-engine-3.0*

# Ionen Wolkens <ionen@gentoo.org> (2021-09-03)
# Known to break plasma, and several other applications on EGLStream
# wayland, and egl-wayland-1.1.7-r1 is still usable with newer drivers.
# While it does not prevent using wlroots-based compositors with GBM,
# it's needed to use some features with it (unmask if wanted).
# https://github.com/NVIDIA/egl-wayland/issues/40
# https://github.com/NVIDIA/egl-wayland/issues/41
>=gui-libs/egl-wayland-1.1.8

# Bernard Cafarelli <voyageur@gentoo.org> (2021-08-26)
# Preparing for final 5.0.0 release
>=app-text/tesseract-5.0.0_beta

# Joonas Niilola <juippis@gentoo.org> (2021-07-29)
# Upstream provided migration instructions from 2. -> 3. update,
# breaks if not all at least many revdeps. #805011 for tracker bug.
>=net-libs/mbedtls-3.0.0

# Luke Dashjr <luke-jr+gentoobugs@utopios.org> (2021-11-04)
# This release adds enforcement of the Taproot protocol change to the Bitcoin
# rules, beginning in November. Protocol changes require user consent to be
# effective, and if enforced inconsistently within the community may compromise
# your security or others! If you do not know what you are doing, learn more
# before November. (You must make a decision either way - simply not upgrading
# is insecure in all scenarios.)
# To learn more, see https://bitcointaproot.cc
>=net-p2p/bitcoind-0.21.1
>=net-p2p/bitcoin-qt-0.21.1
>=net-libs/libbitcoinconsensus-0.21.1

# Lars Wendler <polynomial-c@gentoo.org> (2021-07-10)
# Masked for testing
# bug #802186
>=mail-client/claws-mail-4.0.0

# Michał Górny <mgorny@gentoo.org> (2021-07-06)
# Upstream changed license to GPL-3+ in order to deliberately cause
# incompatiblity with revdep licenses.  Mask until the situation
# is resolved.  Bug #791259.
>=media-libs/libopenaptx-0.2.1

# Conrad Kostecki <conikost@gentoo.org> (2021-06-20)
# New Minecraft server release needs at least Java 16,
# which is currently not available in Gentoo.
>=games-server/minecraft-server-1.17

# Sam James <sam@gentoo.org> (2021-06-12)
# Masked until all reverse dependencies support
# OCaml 4.13.
# bug #816498
>=dev-lang/ocaml-4.13
>=dev-ml/camlp4-4.13
>=dev-ml/labltk-8.06.11

# Bernard Cafarelli <voyageur@gentoo.org> (2021-06-04)
# Alpha versions of fetchmail 7
# Add support for OAUTH2 for those needing it
=net-mail/fetchmail-7.0.0_alpha*

# Michał Górny <mgorny@gentoo.org> (2021-05-31)
# Requires removed media-libs/opencv version.
<media-plugins/gst-plugins-opencv-1.18

# Sergei Trofimovich <slyfox@gentoo.org> (2021-05-16)
# Mask gcc-7 branch (ended upstream support). Please switch
# to a fresher gcc branch.
<sys-devel/gcc-8

# Sergei Trofimovich <slyfox@gentoo.org> (2021-05-16)
# Mask gcc-6 branch (ended upstream support). Please switch
# to a fresher gcc branch.
<sys-devel/gcc-7

# Eray Aslan <eras@gentoo.org> (2021-04-29)
# Mask experimental software
=mail-mta/postfix-3.7*

# Ulrich Müller <ulm@gentoo.org> (2021-04-20)
# Version 3.15 is broken with Emacs 27.2.
=app-emacs/mic-paren-3.15-r0

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-04-18)
# dev-java/xerces-2.12.1 depends on masked >=virtual/{jdk,jre}-11
# https://bugs.gentoo.org/782697
>=dev-java/xerces-2.12.1

# Sam James <sam@gentoo.org> (2021-03-30)
# Seems to break dev-tex/culmus-latex
# Masking until we can investigate & fix
# bug #737406
=media-fonts/culmus-0.133-r1

# Sam James <sam@gentoo.org> (2021-03-03)
# Doesn't seem to sync clock correctly
# in some cases.
# bug #772998
~net-misc/openntpd-6.8_p1

# Lars Wendler <polynomial-c@gentoo.org> (2021-02-15)
# Mask development versions now that they were bumped...
=net-misc/kea-1.9*

# Michał Górny <mgorny@gentoo.org> (2020-11-10)
# This old Kodi version requires vulnerable dev-python/pillow
# and prevents users from upgrading.  Masked for the time being.
# Bug #729672.
media-plugins/kodi-game-libretro-nestopia
media-plugins/kodi-game-libretro-dosbox

# Sam James <sam@gentoo.org> (2020-10-05)
# Masked for testing. New major versions of Guile
# often break reverse dependencies.
# Guile in Gentoo is not slotted, so let's be cautious.
# bug #705554, bug #689408.
>=dev-scheme/guile-3.0.4

# Ulrich Müller <ulm@gentoo.org> (2020-10-04)
# Version 1.11 introduced different startup conventions for the server
# which breaks the OpenRC init script. Bug #746227.
>=net-misc/tigervnc-1.11.0

# Arfrever Frehtes Taifersar Arahesis <arfrever.fta@gmail.com> (2020-09-01)
# Mismatched version (bug #695022). Masked to force upgrade to 2.0.4_pre20200306162733.
# (Mask should remain after ebuilds are deleted, until 2021-03-01 or
# until new upstream release with proper versioning.)
~app-i18n/scim-sunpinyin-3.0.0_rc1

# Miroslav Šulc <fordfrog@gentoo.org> (2020-02-27)
# >=dev-java/ant-eclipse-ecj-4.10 depends on masked >=virtual/{jdk,jre}-11
# www-servers/tomcat >= 9 depends on masked dev-java/eclipse-ecj
>=dev-java/ant-eclipse-ecj-4.10
>=dev-java/eclipse-ecj-4.10
>=www-servers/tomcat-9

# Lars Wendler <polynomial-c@gentoo.org> (2019-11-14)
# Breaks archives containing relative paths
# when being called with --no-absolute-filenames
# bug #700020
=app-arch/cpio-2.13

# Matt Turner <mattst88@gentoo.org> (2019-09-01)
# TeXmacs is the only remaining package in tree that requires guile-1.8, which
# is unsupported upstream. A TeXmacs port to Guile-2 has been in progress for a
# few years. Bug #436400
app-office/texmacs
<dev-scheme/guile-2

# Andreas Sturmlechner <asturm@gentoo.org> (2018-11-25)
# Masked per security vulnerability CVE-2018-14345, bug #661510
# Keeping it masked while users have unsolved issues with >0.15.0.
<x11-misc/sddm-0.18.0

# Andreas Sturmlechner <asturm@gentoo.org> (2018-10-07)
# Masked for more testing especially of reverse-deps.
>=dev-games/ogre-1.11.2

# Andreas K. Hüttel <dilfridge@gentoo.org> (2018-09-11)
# Mask transition ebuilds that were needed only for <glibc-2.26
# We will keep them in the tree as long as we have masked
# <glibc-2.26.
~net-libs/libnsl-0
~net-libs/rpcsvc-proto-0

# James Le Cuirot <chewi@gentoo.org> (2017-12-17)
# Georgy Yakovlev <gyakovlev@gentoo.org> (2021-10-16)
# Java 11+ is not yet fully supported on Gentoo. Packages cannot depend
# on it so these virtuals are not yet required. If you wish to use
# Java 11+ then install openjdk-(jdk|jre)-bin directly.
# bug #697014
virtual/jdk:11
virtual/jre:11
virtual/jdk:17
virtual/jre:17

# Nicolas Bock <nicolasbock@gentoo.org> (2017-10-31)
# There are multiple unresolved upstream issues with >=jabref-bin-4.0 (#636036).
# If you still would like to use this version, please report any issues to
# upstream.
>=app-text/jabref-bin-4.0

# Michał Górny <mgorny@gentoo.org> (2017-05-22)
# for Maciej S. Szmigiero <mail@maciej.szmigiero.name>
# Any version above 5.100.138 breaks b43 driver in various ways.
# Also, b43 wiki page says to use 5.100.138. Bug #541080.
>=sys-firmware/b43-firmware-6.30.163.46

# Andreas K. Hüttel <dilfridge@gentoo.org> (2017-05-21)
# (and others, updated later)
# These old versions of toolchain packages (binutils, gcc, glibc) are no
# longer officially supported and are not suitable for general use. Using
# these packages can result in build failures (and possible breakage) for
# many packages, and may leave your system vulnerable to known security
# exploits.
# If you still use one of these old toolchain packages, please upgrade (and
# switch the compiler / the binutils) ASAP. If you need them for a specific
# (isolated) use case, feel free to unmask them on your system.
<sys-libs/glibc-2.33
<sys-devel/binutils-2.37_p1

# Michael Orlitzky <mjo@gentoo.org> (2017-01-07)
# This package has some dangerous quality and security issues, but
# people may still find it useful. It is masked to prevent accidental
# use. See bugs 603346 and 604998 for more information.
app-admin/amazon-ec2-init

# Robin H. Johnson <robbat2@gentoo.org> (2014-08-04)
# Masked for testing, presently fails upstream testsuite:
# FAIL:07:02:35 (00:00:00) db_dump/db_load(./TESTDIR.3/recd001.db:child killed: kill signal): expected 0, got 1
# FAIL:07:02:35 (00:00:00) Dump/load of ./TESTDIR.3/recd001.db failed.
# FAIL:07:02:35 (00:00:00) db_verify_preop: expected 0, got 1
=sys-libs/db-6.1*
=sys-libs/db-6.2*
=sys-libs/db-18.1*

# Mike Gilbert <floppym@gentoo.org> (2014-03-04)
# Dev channel releases are only for people who are developers or want more
# experimental features and accept a more unstable release.
www-plugins/chrome-binary-plugins:unstable

# Diego E. Pettenò <flameeyes@gentoo.org> (2009-01-03)
# These packages are not supposed to be merged directly, instead
# please use sys-devel/crossdev to install them.
dev-util/mingw64-runtime
sys-libs/newlib
dev-embedded/avr-libc